Bug 112622 - Reorganize new snap object dialog
Summary: Reorganize new snap object dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: low enhancement
Assignee: Adolfo Jayme
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Snap-Dialog
  Show dependency treegraph
 
Reported: 2017-09-24 17:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-27 01:26 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
dialog screenshot (16.40 KB, image/png)
2017-09-24 17:59 UTC, Yousuf Philips (jay) (retired)
Details
patched dialog (17.02 KB, image/png)
2017-09-25 16:25 UTC, Adolfo Jayme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-09-24 17:59:57 UTC
Created attachment 136517 [details]
dialog screenshot

The OK, Cancel and Help buttons should be at the bottom and the Type group should move into the place currently occupied by the OK and Cancel buttons.
Comment 1 Adolfo Jayme 2017-09-25 00:42:00 UTC
Sure. Vertical action buttons are at this point archaic.
Comment 2 Commit Notification 2017-09-25 00:45:34 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40892cd3311021c55e943228e16bfd36df7b1011

tdf#112622 Move dialog’s action buttons to the bottom

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) (retired) 2017-09-25 10:10:53 UTC
Thanks Adolfo for the quick fix.

Adolfo, Heiko: Do either of you think that we should swap the two control groups so Type is on the left and Position is on the right.
Comment 4 Heiko Tietze 2017-09-25 10:42:12 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> Thanks Adolfo for the quick fix.
> 
> Adolfo, Heiko: Do either of you think that we should swap the two control
> groups so Type is on the left and Position is on the right.

Picture, or it didn't happen ;-)
(cannot compile atmo)
Comment 5 Adolfo Jayme 2017-09-25 16:25:47 UTC
Created attachment 136527 [details]
patched dialog
Comment 6 Heiko Tietze 2017-09-25 18:27:26 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> Thanks Adolfo for the quick fix.
> 
> Adolfo, Heiko: Do either of you think that we should swap the two control
> groups so Type is on the left and Position is on the right.

Thanks for the picture, Adolfo.

No need to swap from my POV. But the user-drawn toggle icons are strange. Better it's a real toggle button, or we go with radio buttons and place the icon next to it. Another issue is the missing mnemonics for x and y as well the colons (never put colons after captions).
Comment 7 Adolfo Jayme 2017-09-27 01:26:37 UTC
All that sounds like deserving dedicated follow-up bugs…